cURL
curl --request GET \
--url https://api.alex.com/v1/api/templates \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.alex.com/v1/api/templates"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.alex.com/v1/api/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.alex.com/v1/api/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.alex.com/v1/api/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.alex.com/v1/api/templates")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.alex.com/v1/api/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "clx8f2k1p0000abcd1234efgh",
"name": "SWE Screen",
"createdAt": "2026-01-02T00:00:00.000Z",
"updatedAt": "2026-01-03T00:00:00.000Z",
"estimatedDuration": 25
}
]{
"error": true,
"message": "<string>"
}{
"error": true,
"message": "<string>"
}Templates
Get Templates
Returns interview guide templates for your company. Pass id to filter to a single template. Unknown ids return an empty list.
GET
/
templates
cURL
curl --request GET \
--url https://api.alex.com/v1/api/templates \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.alex.com/v1/api/templates"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.alex.com/v1/api/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.alex.com/v1/api/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.alex.com/v1/api/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.alex.com/v1/api/templates")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.alex.com/v1/api/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "clx8f2k1p0000abcd1234efgh",
"name": "SWE Screen",
"createdAt": "2026-01-02T00:00:00.000Z",
"updatedAt": "2026-01-03T00:00:00.000Z",
"estimatedDuration": 25
}
]{
"error": true,
"message": "<string>"
}{
"error": true,
"message": "<string>"
}Authorizations
Query Parameters
The id of the template to filter by
Response
Templates response
The unique identifier for the interview guide template
Example:
"clx8f2k1p0000abcd1234efgh"
The template name
Example:
"SWE Screen"
ISO 8601 creation time
Example:
"2026-01-02T00:00:00.000Z"
ISO 8601 last update time, or null if never updated
Example:
"2026-01-03T00:00:00.000Z"
Estimated interview duration in minutes
Example:
25